%define upstream_name    Crypt-MySQL
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:    Emulate MySQL PASSWORD() function
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.lzma

BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel


%description
Crypt::MySQL emulates MySQL PASSWORD() SQL function, without
libmysqlclient. You can compare encrypted passwords, without real MySQL
environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{make} test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/Crypt
%perl_vendorarch/auto/Crypt


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.40.0-20.mga8
+ Revision: 1594373
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.40.0-19.mga8
+ Revision: 1529433
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.40.0-18.mga8
+ Revision: 1433443
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.40.0-17.mga7
+ Revision: 1292550
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.40.0-16.mga7
+ Revision: 1248588
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.40.0-15.mga7
+ Revision: 1163625
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.40.0-14.mga7
+ Revision: 1148701
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.40.0-13.mga7
+ Revision: 1127087
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-12.mga6
+ Revision: 1024518
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.40.0-11.mga6
+ Revision: 956942
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.40.0-10.mga6
+ Revision: 843920
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-9.mga5
+ Revision: 748489
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-8.mga5
+ Revision: 684043
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.40.0-7.mga5
+ Revision: 632195
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.40.0-6.mga4
+ Revision: 524576
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.40.0-5.mga4
+ Revision: 431176
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-4.mga3
+ Revision: 364869
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-3.mga3
+ Revision: 250396
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.40.0-2.mga2
+ Revision: 103837
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 31832
- mageia rebuild
- imported package perl-Crypt-MySQL

